> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caspen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all availabilities



## OpenAPI

````yaml GET /availabilities
openapi: 3.1.0
info:
  title: Caspen
  version: 0.0.1
servers:
  - url: https://api.caspen.com/v1
    description: Production
security: []
paths:
  /availabilities:
    get:
      tags:
        - Availability
      operationId: availability.index
      parameters:
        - name: location_id
          in: query
          required: true
          schema:
            type: string
        - name: practitioner_id
          in: query
          required: true
          schema:
            type: string
        - name: from_date
          in: query
          required: true
          schema:
            type: string
            format: date
        - name: to_date
          in: query
          required: true
          schema:
            type: string
            format: date
      responses:
        '200':
          description: '`AvailabilityCollection`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailabilityCollection'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AvailabilityCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AvailabilityResource'
      required:
        - data
      title: AvailabilityCollection
    AvailabilityResource:
      type: object
      properties:
        id:
          type: string
          description: The availability's unique identifier.
          examples:
            - ava_01HZR88VXZ3G2NTVPEB2PCCKDY
        created_at:
          type: string
          description: The timestamp when the availability was created (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
        date:
          type: string
          description: The availability date (ISO 8601).
          examples:
            - '2025-09-22'
        day:
          type: string
          description: The day of the week abbreviation.
          examples:
            - mon
        end_time:
          type: string
          description: The end time in 24-hour format.
          examples:
            - '17:00'
        location_id:
          type: string
          description: The location's unique identifier.
          examples:
            - loc_01HZR88VXZ3G2NTVPEB2PCCKDY
        practitioner_id:
          type: string
          description: The practitioner's unique identifier.
          examples:
            - pra_01HWPZ5P0ENVS5W7ZFAS0DW5PT
        repeating:
          type: boolean
          description: Whether this availability repeats.
          examples:
            - true
        repeating_end_date:
          type:
            - string
            - 'null'
          description: The end date for repeating availability (ISO 8601).
          examples:
            - '2025-12-31'
        repeating_interval:
          type:
            - string
            - 'null'
          description: The repeating interval type.
          examples:
            - weekly
        start_time:
          type: string
          description: The start time in 24-hour format.
          examples:
            - '09:00'
      title: AvailabilityResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````